package com.example.springdemo.service;

import com.example.springdemo.entities.RBAC.RolesPermissions;
import com.example.springdemo.entities.Users;

public interface RolesPermissionsService {
    RolesPermissions AssignPermissionsToRole(RolesPermissions rolesPermissions);

    Boolean RemovePermissionsFromRole(Long roleId, Long permissionId);

    Boolean updateRolePermissions(Long roleId, Long permissionId);

    RolesPermissions getRolePermissionById(Long rolesPermissionsId);

    Iterable<RolesPermissions> getAllRolesPermissions();

    Boolean CheckIfDeleteOrUpdateAdmin(Long roleId);
}
