package com.example.springdemo.service;

import com.example.springdemo.dao.RolesRepository;
import com.example.springdemo.entities.RBAC.Roles;
import com.example.springdemo.entities.Users;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

@Service
public class RolesServiceImpl implements RolesService {

    @Resource
    private RolesRepository rolesRepository;

    @Override
    public Roles createRoles(Roles roles) {
        return rolesRepository.save(roles);
    }

    @Override
    public Roles updateRoles(Roles roles) {
        return rolesRepository.save(roles);
    }

    @Override
    public void deleteRoles(Long id) {
        rolesRepository.deleteById(id);
    }

    @Override
    public Iterable<Roles> getAllRoles() {
        return rolesRepository.findAll();
    }

    @Override
    public Roles getRolesByName(String name) {
        return rolesRepository.findByName(name);
    }

    @Override
    public Roles getRolesById(Long id) {
        return rolesRepository.findById(id).orElse(null);
    }

    //TODO: Users角色管理
    @Override
    public void RemoveRoleFromUser(Long userId, Long roleId) {

    }

    @Override
    public Users AssignRoleToUser(Long userId, Long roleId) {
        return null;
    }

    @Override
    public Users getUserRoleById(Long userId) {
        return null;
    }
}
