package com.example.springdemo.service;

import com.example.springdemo.entities.Users;
import com.example.springdemo.entities.password.UsersPassword;

import java.util.Optional;

public interface UsersService {

    Users addUsers(Users user);

    void deleteUsersById(Long userID);

    void deleteUsersByName(String name);

    Users updateUsers(Users user);

    Iterable<Users> findAllUsers();

    Users findById(Long userID);

    Users findByName(String name);

    void addPassword(UsersPassword usersPassword);

    void updatePassword(String password, Long userID);

    void deletePasswordById(Long userID);
}
