package com.example.springdemo.service;

import com.example.springdemo.dao.OrdersRepository;
import com.example.springdemo.entities.Orders;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

@Service
public class OrdersServiceImpl implements OrdersService {
    @Resource
    private OrdersRepository ordersRepository;

    @Override
    public Orders addIndent(Orders orders) {
        return ordersRepository.save(orders);
    }

    @Override
    public void deleteIndentById(Long id) {
        ordersRepository.deleteById(id);
    }

    @Override
    public Orders updateIndent(Orders orders) {
        return ordersRepository.save(orders);
    }

    @Override
    public Iterable<Orders> findAllIndents() {
        return ordersRepository.findAll();
    }
}
