package com.example.springdemo.service;

import com.example.springdemo.entities.RBAC.Roles;
import com.example.springdemo.entities.Users;

public interface RolesService {
    Roles createRoles(Roles roles);

    Roles updateRoles(Roles roles);

    void deleteRoles(Long id);

    Iterable<Roles> getAllRoles();

    Roles getRolesByName(String name);

    Roles getRolesById(Long id);

    //Users角色管理
    public void RemoveRoleFromUser(Long userId, Long roleId);

    public Users AssignRoleToUser(Long userId, Long roleId);

    public Users getUserRoleById(Long userId);
}
