package com.example.springdemo.utils;

// 在Controller中使用该注解，可以实现权限验证

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

@Target({java.lang.annotation.ElementType.METHOD, java.lang.annotation.ElementType.TYPE})
@Retention(java.lang.annotation.RetentionPolicy.RUNTIME)
public @interface RoleVerificationAnnotation {
    //有权限访问的角色ID
    long[] RoleIDList() default {1};

    long[] UserIDList() default {};
}
